# FoundationClasses
TKernel
Storage

# Storage_MapIteratorOfMapOfAsciiString Class Reference

`#include <Storage_MapIteratorOfMapOfAsciiString.hxx>`

Inheritance diagram for Storage_MapIteratorOfMapOfAsciiString:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Storage_MapIteratorOfMapOfAsciiString ()
Standard_EXPORT | Storage_MapIteratorOfMapOfAsciiString (const Storage_MapOfAsciiString &aMap)
Standard_EXPORT void | Initialize (const Storage_MapOfAsciiString &aMap)
Standard_EXPORT const TCollection_AsciiString & | Key () const

## Constructor & Destructor Documentation

Standard_EXPORT Storage_MapIteratorOfMapOfAsciiString::Storage_MapIteratorOfMapOfAsciiString | ( |  | ) |

Standard_EXPORT Storage_MapIteratorOfMapOfAsciiString::Storage_MapIteratorOfMapOfAsciiString | ( | const Storage_MapOfAsciiString & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void Storage_MapIteratorOfMapOfAsciiString::Initialize | ( | const Storage_MapOfAsciiString & | aMap | ) |

Standard_EXPORT const TCollection_AsciiString& Storage_MapIteratorOfMapOfAsciiString::Key | ( |  | ) | const

void Storage_MapIteratorOfMapOfAsciiString::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from TCollection_BasicMapIterator.

void* Storage_MapIteratorOfMapOfAsciiString::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from TCollection_BasicMapIterator.

void* Storage_MapIteratorOfMapOfAsciiString::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from TCollection_BasicMapIterator.

The documentation for this class was generated from the following file:

- Storage_MapIteratorOfMapOfAsciiString.hxx